Subject: Re: Efficiency of caller/toss

From: Sergey Matveev <[email-masked]>
Date: Thu, 2 Sep 2021 16:34:53 +0300

*** John Goerzen [2021-09-02 08:07]:
>I tried to test this on Linux with strace, but got certificate errors trying
>to download balloon.

I tried it under some latest Ubuntu in virtual machine -- everything
builds and works fine too. After I will separate .part/.hdr/etc to
separate directories, I will make a release. I left ability to build
NNCP without fsnotify at all, presumably for fsnotify-unsupported
platforms.

>now, I contribute enthusiasm <grin>

And I am really very appreciate that!

>solve that issue with "go mod vendor" that it told me to run.  I assume you
>do whatever magic is needed when you build the tarballs.

Well, issue with balloon is related directly to TLS certificate :-)
Go get requires websites to use HTTPS, so it forcefully connects to
ca.cypherpunks.ru-issued go.cypherpunks.ru. Personally I have got my CA
certificate installed. There is no such problem with tarballs, because I
explicitly include vendor/ directory, containing all necessary dependencies.

Just for your interest: in general, you can specify/override CA for
go-commands, or you can clone/download necessary dependency somehow to
your file system and use "replace" keyword in go.mod to specify where
dependency is already located. As an example, bottom of
http://www.gogost.cypherpunks.ru/Download.html described all of that.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF